#ifndef __CAUSALGRAPH_H__
#define __CAUSALGRAPH_H__

/* #define SOURCE "SuperSource" */
/* #define SINK "SuperSink" */
#define SOURCE "SO"
#define SINK "SI"

int compute_causal_graph(void);
int make_bipgraph(GSList *, GSList *, Graph);
int bipg_to_causalg(Graph, Graph, GSList *);
int remember_matched_var(GSList *, GSList *, Graph);
GSList * get_conditions_in_nth_mode(GSList *, int);
GSList * get_equations_with_conditions(GSList *, GSList *);
GSList * get_variables_in_equations(GSList *, GSList *);
int check_flow_in_graph(Graph);

#endif /*__CAUSALGRAPH_H__ */
